#
# spec file for package fcitx-sunpinyin
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fcitx-sunpinyin
Version:        0.4.2
Release:        lp152.3.5
Summary:        Sunpinyin module for fcitx
License:        GPL-2.0+
Group:          System/I18n/Chinese 
Url:            https://github.com/fcitx/fcitx-sunpinyin
BuildRequires:  cairo-devel
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  pango-devel
%if 0%{?suse_version}
BuildRequires:  dbus-1-devel
%else
BuildRequires:  dbus-devel
%endif
BuildRequires:  fcitx-devel
BuildRequires:  fcitx-skin-classic
BuildRequires:  fcitx-skin-dark
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  sunpinyin-devel
BuildRequires:  xz
Source:         http://download.fcitx-im.org/fcitx-sunpinyin/%{name}-%{version}.tar.xz
Provides:       locale(fcitx:zh_CN;zh_SG)
%{fcitx_requires}

%description
SunPinyin
===

SunPinyin is an SLM (Statistical Language Model) based input method
engine. To model the Chinese language, it use a backoff bigram and
trigram language model. 

Currently, SunPinyin 2.0 is available on IBus.

fcitx-sunpinyin
===

fcitx-sunpinyin is a wrapper around SunPinyin which enables user to use
SunPinyin with fcitx. 

%prep
%setup -q -n %{name}-%{version}

%build
%{__mkdir} -pv build
pushd build
%if 0%{?suse_version} < 1140
CXXFLAGS="%{optflags} -I/usr/include/sunpinyin-2.0/" cmake \
%else
cmake  \
%endif
        -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_libdir} \
        ..
make

%install
pushd build
make DESTDIR=%{buildroot} install
popd
%find_lang %{name}

%{__strip} %{buildroot}%{_libdir}/fcitx/%{name}.so

%if 0%{?suse_version}
%fdupes %{buildroot}
%else
fdupes -qnr %{buildroot}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%{_fcitx_libdir}/%{name}.so
%{_fcitx_addondir}/%{name}.conf
%{_fcitx_descdir}/%{name}.desc
%{_fcitx_imicondir}/sunpinyin.png
%{_fcitx_inputmethoddir}/sunpinyin.conf
%{_fcitx_skindir}/classic/sunpinyin.png
%{_fcitx_skindir}/dark/sunpinyin.png
%{_fcitx_skindir}/default/sunpinyin.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Sat Dec  2 2017 i@marguerite.su
- update version 0.4.2
  * remove the test code
  * update translations
* Fri Feb 14 2014 fcrozat@suse.com
- Package COPYING as %%doc
* Mon Jul  1 2013 i@marguerite.su
- update version 0.4.1
  * Support typing mixed Chinese/English when selection is done in half way.
  * Translation Update
* Sat Jan 26 2013 i@marguerite.su
- update version 0.4.0
  * adjust some default configuration for better user experience.
- fcitx-sunpinyin-0.4.0-compat-gcc46.patch
  * fix gcc 4.6 builds with 12.1 and below
  * remove next release
* Sat Sep 15 2012 i@marguerite.su
- update version 0.3.9
  * Translation update and icon path fix
* Sat Jul 21 2012 i@marguerite.su
- update version 0.3.8
  * add nbest support. (guess multiple long sentences)
* Mon Jun 25 2012 i@marguerite.su
- fix fedora and sles builds.
* Mon Jun  4 2012 i@marguerite.su
- update version 0.3.7
  * save cloudpinyin result to sunpinyin userdict.
* Mon May 28 2012 i@marguerite.su
- bring it into DVD.
* Sun May  6 2012 i@marguerite.su
- update to 0.3.6
  * option for memory strength, enable fuzzy segement by default
* Sun Apr  8 2012 i@marguerite.su
- update to 0.3.5
  * Fix issue 538 of saving dict.
* Fri Mar  9 2012 hillwood@linuxfans.org
- update to 0.3.4
  Portable to run with archive
* Wed Feb 29 2012 i@marguerite.su
- set _service diabled. update source from git.
* Thu Jan 26 2012 i@marguerite.su
- upstream version 0.3.3git
  * support fcitx 4.2 and sunpinyin 2.0.4
* Sun Oct  2 2011 stecue@gmail.com
- upstream version: 0.3.2
  * support fcitx 4.1.2
* Fri Sep  9 2011 stecue@gmail.com
- upstream version: 0.3.1
* Thu Sep  8 2011 stecue@gmail.com
- upstream version: 0.3.0
* Tue Aug  9 2011 tiwai@suse.de
- Fix buildrequires
* Tue May 24 2011 stecue@gmail.com
- fix for arch AMD64
* Tue Mar 15 2011 stecue@gmail.com
- make it work for openSUSE
* Tue Mar 15 2011 hillwood@linuxfans.org
- first package for 0.2.1
